Skip to main content
POST
/
cleemy
/
services
/
v3
/
createExpenseAccountingExport
Create an export and retrieve export content
curl --request POST \
  --url https://{host}/cleemy/services/v3/createExpenseAccountingExport \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/cleemy/services/v3/createExpenseAccountingExport"

headers = {"Authorization": "<authorization>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/cleemy/services/v3/createExpenseAccountingExport', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"Accounting date;Journal;Account;Auxilliary;Analytic;Label;Exp. Num;Debit;Credit\n31/01/2025;Exp;421000;421001;;Exp Richard Jules - 01/25;2186;0,00;267,47\n31/01/2025;Exp;625600;;CC03;Exp Richard Jules - 01/25;2186;200,00;0,00\n31/01/2025;Exp;625100;;CC02;Exp Richard Jules - 01/25;2186;67,47;0,00\n10/02/2025;Exp;421000;421000;;Exp Alibert Chloe - 02/25;2194;0,00;63,43\n10/02/2025;Exp;467000;;CC04;Exp Alibert Chloe - 02/25;2194;52,86;0,00\n10/02/2025;Exp;445660;;CC04;Exp Alibert Chloe - 02/25;2194;10,57;0,00\n"
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}
{
"Status": 401,
"Message": "Unauthorized"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

ID of the business-establishment for which entry lines will be exported.

accountingDate
string<date>

The accountingDate parameter is not used here as a filter, but to override the accounting date of the exported entry lines to a specific date.

approvedOn
string

{comparator},{date-time}

controlledOn
string

{comparator},{date-time}

Response

The export file is successfully generated.

Content of the export file.